# IdeaWorkspace

API Documentation: | `IdeaWorkspace`

Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.

At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

    plugins {
        id 'java'
        id 'idea'
    }

    idea.workspace.iws.withXml { provider ->
        provider.asNode().appendNode('gradleRocks', 'true')
    }

### Properties

Property | Description
`iws` | Enables advanced manipulation of the output XML.

### Methods

Method | Description
`iws(action)` | Enables advanced manipulation of the output XML.

### Script blocks

Block | Description
`iws` | Enables advanced manipulation of the output XML.

### Property details

#### `XmlFileContentMerger` `iws`

Enables advanced manipulation of the output XML.

For example see docs for `IdeaWorkspace`

### Method details

#### `void` `iws`(``Action`<? super `XmlFileContentMerger`>` action)

Enables advanced manipulation of the output XML.

For example see docs for `IdeaWorkspace`

### Script block details

#### `iws` { }

Enables advanced manipulation of the output XML.

For example see docs for `IdeaWorkspace`

Delegates to:
  `XmlFileContentMerger` from `iws`